<div
  class="container"
  id="doc-page"
  data-bs-spy="scroll"
  data-bs-target="#documentation"
  data-bs-offset="0"
>
  <div id="documentation" class="row">
    <div class="col-md-3" id="mobile-navbar-menu">
      <app-doc-navbar></app-doc-navbar>
    </div>

    <div class="col-md-9">
      <!-- Chapter Start-->
      <app-doc-header text="Get Started" id="get_started"></app-doc-header>
      <app-doc-subheader
        text="Basic Integration"
        id="basic_integration"
        link="https://github.com/drugst-one/integration-examples/tree/main/basic"
      ></app-doc-subheader>
      <app-basics [cdn]="cdn"></app-basics>

      <app-doc-subheader
        text="AngularJS"
        id="angularjs_setup"
        link="https://github.com/drugst-one/integration-examples/tree/main/angular"
      ></app-doc-subheader>
      <app-angular></app-angular>

      <app-doc-subheader text="Django" id="djano_setup" link="https://github.com/drugst-one/django-template/tree/main/drugstone_template"></app-doc-subheader>
      <app-django></app-django>

      <app-doc-subheader
        text="Vue.js"
        id="vuejs_setup"
        link="https://github.com/drugst-one/integration-examples/tree/main/vue"
      ></app-doc-subheader>
      <app-vuejs></app-vuejs>

      <app-doc-subheader
        text="R-Shiny"
        id="rshiny_setup"
        link="https://github.com/drugst-one/integration-examples/tree/main/shiny"
      ></app-doc-subheader>
      <app-rshiny></app-rshiny>

      <app-doc-subheader
        text="Other Frameworks"
        id="other_frameworks"
      ></app-doc-subheader>
      <app-other></app-other>

      <app-doc-subheader
        text="From Scratch"
        id="from_scratch"
      ></app-doc-subheader>
      <app-from-scratch></app-from-scratch>
      <!-- Chapter End-->

      <!-- Chapter Start-->
      <app-doc-header
        text="The Drugst.One UI"
        id="drugstone_ui"
      ></app-doc-header>
      <app-ui></app-ui>

      <app-doc-subheader
        text="Network"
        id="drugstone_ui_network"
      ></app-doc-subheader>
      <app-ui-network></app-ui-network>

      <app-doc-subheader
        text="Sidebar Panels"
        id="drugstone_ui_panels"
      ></app-doc-subheader>
      <app-ui-panels></app-ui-panels>

      <app-doc-subheader
        text="Network Menu"
        id="drugstone_ui_footer_bar"
      ></app-doc-subheader>
      <app-ui-footer></app-ui-footer>

      <app-doc-subheader
        text="Task Execution"
        id="drugstone_ui_task_execution"
      ></app-doc-subheader>
      <app-ui-tasks></app-ui-tasks>

      <app-doc-subheader
        text="Analysis Window"
        id="drugstone_ui_analysis_window"
      ></app-doc-subheader>
      <app-ui-analysis></app-ui-analysis>
      <!-- Chapter End-->

      <!-- Chapter Start-->
      <app-doc-header
        text="Customize Drugst.One"
        id="customize_drugstone"
      ></app-doc-header>

      <app-doc-subheader
        text="Configuration"
        id="customize_general"
      ></app-doc-subheader>
      <app-cust-general></app-cust-general>

      <app-doc-subheader
        text="Config Object"
        id="customize_config"
      ></app-doc-subheader>
      <app-cust-config></app-cust-config>

      <app-doc-subheader
        text="Group Configuration"
        id="customize_group_configuration"
      ></app-doc-subheader>
      <app-cust-groups></app-cust-groups>

      <app-doc-subheader
        text="Network"
        id="customize_network"
      ></app-doc-subheader>
      <app-cust-network></app-cust-network>

      <app-doc-subheader
        text="Version Selection"
        id="customize_version_selection"
      ></app-doc-subheader>

      <app-cust-version
        [cdn]="cdn"
        [version]="version"
        [api]="host"
      ></app-cust-version>

      <app-doc-subheader
        text="Style Adjustments"
        id="customize_style_adjustments"
      ></app-doc-subheader>
      <app-cust-style></app-cust-style>

      <app-doc-subheader
        text="Events"
        id="customize_events"
      ></app-doc-subheader>
      <app-cust-events [api]="api"></app-cust-events>
      <!-- Chapter End-->

      <!-- Chapter Start-->
      <app-doc-header text="Standalone" id="standalone"></app-doc-header>
      <app-standalone-doc></app-standalone-doc>

      <app-doc-subheader
        text="Drugst.One Buttons"
        id="standalone_buttons"
      ></app-doc-subheader>
      <app-standalone-buttons></app-standalone-buttons>

      <app-doc-subheader
        text="Options"
        id="standalone_options"
      ></app-doc-subheader>
      <app-standalone-options></app-standalone-options>

      <app-doc-subheader text="API" id="standalone_api"></app-doc-subheader>
      <app-standalone-url [host]="host" [backend]="api"></app-standalone-url>
      <!-- Chapter End-->

      <!-- Chapter Start-->
      <app-doc-header
        text="Implementation"
        id="implementation"
      ></app-doc-header>
      <app-doc-subheader
              text="GitHub"
              id="implementation_git"
      ></app-doc-subheader>
      <app-impl-git></app-impl-git>
      <app-doc-subheader
        text="Datasources"
        id="implementation_datasources"
      ></app-doc-subheader>
      <app-impl-data [api]="api"></app-impl-data>

      <app-doc-subheader
        text="Network"
        id="implementation_visjs"
      ></app-doc-subheader>
      <app-impl-vis></app-impl-vis>

      <app-doc-subheader
        text="Algorithms"
        id="implementation_algorithms"
      ></app-doc-subheader>
      <app-impl-algorithms></app-impl-algorithms>
      <!-- Chapter End-->

      <!-- Chapter Start-->
      <app-doc-header text="Other" id="other"></app-doc-header>

      <app-doc-subheader
        text="Python Package"
        id="python_package"
        [python]="true"
        link="https://pypi.org/project/drugstone/0.2.4/"
      ></app-doc-subheader>
      <app-python-package></app-python-package>

      <app-doc-subheader text="Contact" id="contact_us"></app-doc-subheader>
      <app-contact></app-contact>

      <app-doc-subheader text="Privacy Policy" id="privacy_policy"></app-doc-subheader>
      <app-privacy-policy></app-privacy-policy>

      <app-doc-subheader text="FAQ" id="faq"></app-doc-subheader>
      <app-faq></app-faq>
      <!-- Chapter End-->
    </div>
  </div>
</div>
